/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

void KbfxConfigDlgAbout::init()
{
	KbfxPixmapLabelNookie->installEventFilter( this );
	KbfxPixmapLabelSiraj->installEventFilter( this );
	KbfxPixmapLabelNathanael->installEventFilter( this );
	KbfxPixmapLabelPhobosK->installEventFilter( this );
	KbfxPixmapLabelYanis->installEventFilter( this );
	KbfxPixmapLabelJohnny->installEventFilter( this );
	KbfxPixmapLabelJongking->installEventFilter( this );
    KbfxMemberTextNookie=tr2i18n("<strong>Name:</strong> Mensur Zahirovic (Nookie)<br><br><strong>Country:</strong> Sweden<br><br><strong>KBFX:</strong> Co-Author, Q/A, System Design, Webdesigner, Bug Hunter, Project Admin<br><br><strong>Email:</strong> nookie@mail.kbfx.org");
    KbfxMemberTextSiraj=tr2i18n("<strong>Name:</strong> Siraj Razick<br><br><strong>Country:</strong> Sri Lanka<br><br><strong>KBFX:</strong> Author, Maintainer, Developer, Project Admin<br><br><strong>Email:</strong> siraj@mail.kbfx.org");
    KbfxMemberTextNathanael=tr2i18n("<strong>Name:</strong> Nathanael Dracor Gogniat<br><br><strong>Country:</strong> Switzerland<br><br><strong>KBFX:</strong> Project Technical Writer, Documentation Manager, Co-Author<br><br><strong>Email:</strong> nathanael@mail.kbfx.org");
	KbfxMemberTextPhobosK=tr2i18n("<strong>Name:</strong> PhobosK<br><br><strong>Country:</strong> Bulgaria<br><br><strong>KBFX:</strong> Package & Release Manager, Quality Assurance, Bug Hunter, Mandriva Packages, Project Admin, Developer QT/C++<br><br><strong>Email:</strong> phobosk@mail.kbfx.org");
    KbfxMemberTextJohnny=tr2i18n("<strong>Name:</strong> Johnny Henry Saenz Acuna (scarebyte)<br><br><strong>Country:</strong> Peru<br><br><strong>KBFX:</strong> Developer QT4/C++, Debian Packages<br><br><strong>Email:</strong> saenzac@mail.kbfx.org");
    KbfxMemberTextJongking=tr2i18n("<strong>Name:</strong> Pascal Jungblut (Jongking)<br><br><strong>Country:</strong> Germany<br><br><strong>KBFX:</strong> Development support<br><br><strong>Email:</strong> jongking@mail.kbfx.org");
    KbfxMemberTextYanis=tr2i18n("<strong>Name:</strong> Yanis Kekatos (yanis)<br><br><strong>Country:</strong> Greece<br><br><strong>KBFX:</strong> Usability Expert<br><br><strong>Email:</strong> yanis@mail.kbfx.org");

}

bool KbfxConfigDlgAbout::eventFilter( QObject * obj, QEvent * ev)
{
	QCursor kbfxCursor;
	kbfxCursor.setShape (Qt::PointingHandCursor);
	this->setCursor ((const QCursor) kbfxCursor);
	
	switch (ev->type ())
    {
		case QEvent::Enter:
		{
				if ( obj == KbfxPixmapLabelNookie )
				{
					KbfxTeamInfo->setText (KbfxMemberTextNookie);
					KbfxUnmarkAllPixmaps();
					KbfxPixmapLabelNookie->setFrameShape(QFrame::WinPanel);
					return TRUE;
				}
				else if (obj == KbfxPixmapLabelSiraj)
				{
					KbfxTeamInfo->setText (KbfxMemberTextSiraj);
					KbfxUnmarkAllPixmaps();
					KbfxPixmapLabelSiraj->setFrameShape(QFrame::WinPanel);
					return TRUE;
				}
				else if ( obj == KbfxPixmapLabelNathanael )
				{
					KbfxTeamInfo->setText (KbfxMemberTextNathanael);
					KbfxUnmarkAllPixmaps();
					KbfxPixmapLabelNathanael->setFrameShape(QFrame::WinPanel);
					return TRUE;
				}
				else if (obj == KbfxPixmapLabelPhobosK)
				{
					KbfxTeamInfo->setText (KbfxMemberTextPhobosK);
					KbfxUnmarkAllPixmaps();
					KbfxPixmapLabelPhobosK->setFrameShape(QFrame::WinPanel);
					return TRUE;
				}
				else if ( obj == KbfxPixmapLabelJohnny )
				{
					KbfxTeamInfo->setText (KbfxMemberTextJohnny);
					KbfxUnmarkAllPixmaps();
					KbfxPixmapLabelJohnny->setFrameShape(QFrame::WinPanel);
					return TRUE;
				}
				else if (obj == KbfxPixmapLabelJongking)
				{
					KbfxTeamInfo->setText (KbfxMemberTextJongking);
					KbfxUnmarkAllPixmaps();
					KbfxPixmapLabelJongking->setFrameShape(QFrame::WinPanel);
					return TRUE;
				}
				else if ( obj == KbfxPixmapLabelYanis )
				{
					KbfxTeamInfo->setText (KbfxMemberTextYanis);
					KbfxUnmarkAllPixmaps();
					KbfxPixmapLabelYanis->setFrameShape(QFrame::WinPanel);
					return TRUE;
				}
		}
/*		case QEvent::Leave:
		{
			if ( obj == KbfxPixmapLabelNookie || obj == KbfxPixmapLabelSiraj || obj == KbfxPixmapLabelNathanael || obj == KbfxPixmapLabelPhobosK || obj == KbfxPixmapLabelYanis || obj == KbfxPixmapLabelJohnny || obj == KbfxPixmapLabelJongking)
			{
				KbfxTeamInfo->setText ("");
				return TRUE;
			}
		}
*/
		default: // pass the event on to the parent class
			return QWidget::eventFilter( obj, ev );
//			return FALSE;

	}
}

void KbfxConfigDlgAbout::KbfxUnmarkAllPixmaps()
{
	KbfxPixmapLabelNookie->setFrameShape(QFrame::NoFrame);
	KbfxPixmapLabelSiraj->setFrameShape(QFrame::NoFrame);
	KbfxPixmapLabelNathanael->setFrameShape(QFrame::NoFrame);
	KbfxPixmapLabelPhobosK->setFrameShape(QFrame::NoFrame);
	KbfxPixmapLabelYanis->setFrameShape(QFrame::NoFrame);
	KbfxPixmapLabelJohnny->setFrameShape(QFrame::NoFrame);
	KbfxPixmapLabelJongking->setFrameShape(QFrame::NoFrame);
}


